> ## Documentation Index
> Fetch the complete documentation index at: https://docs.brightdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 筛选

```txt wrap theme={null}
https://www.google.com/maps/search/hotels+new+york/?brd_accomodation_type=vacation_rentals
```

## 参数

<ParamField path="q" type="string" required>
  搜索路径参数。指定您想在 Google 地图上搜索的关键字或短语。
</ParamField>

<ParamField query="brd_accomodation_type" type="string">
  住宿类型：酒店或度假租赁。

  > **示例：**\
  > `brd_accomodation_type=hotels`（默认）- 搜索酒店 \
  > `brd_accomodation_type=vacation_rentals` - 搜索度假租赁

  ```txt wrap theme={null}
  https://www.google.com/maps/search/hotels+new+york/?brd_accomodation_type=vacation_rentals
  ```
</ParamField>

<RequestExample>
  ```shell cURL highlight={6} theme={null}
    curl -X POST https://api.brightdata.com/request \
    --header "Content-Type: application/json" \
    --header "Authorization: Bearer API_KEY" \
    --data '{
      "zone": "serp_api1",
      "url": "https://www.google.com/maps/search/hotels+new+york/?brd_accomodation_type=vacation_rentals",
      "format": "raw"
    }'
  ```

  ```shell Native proxy highlight={4} theme={null}
  curl --proxy brd.superproxy.io:44445 \
    --proxy-user CUSTOMER_USERNAME:CUSTOMER_PASSWORD \
    --ssl-no-revoke \
    "https://www.google.com/maps/search/hotels+new+york/?brd_accomodation_type=vacation_rentals"
  ```

  ```js Node.js highlight={10} theme={null}
  (async () => {
    const response = await fetch('https://api.brightdata.com/request', {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
        'Authorization': 'Bearer API_KEY'
      },
      body: JSON.stringify({
        zone: 'serp_api1',
        url: 'https://www.google.com/maps/search/hotels+new+york/?brd_accomodation_type=vacation_rentals',
        format: 'raw'
      })
    });
    
    const data = await response.text();
    console.log(data);
  })();
  ```

  ```python Python highlight={11} theme={null}
  import requests

  # API Configuration
  headers = {
      'Content-Type': 'application/json',
      'Authorization': 'Bearer API_KEY',
  }

  payload = {
      'zone': 'serp_api1',
      'url': 'https://www.google.com/maps/search/hotels+new+york/?brd_accomodation_type=vacation_rentals',
      'format': 'raw'
  }

  # Make the request
  response = requests.post(
      'https://api.brightdata.com/request', 
      json=payload, 
      headers=headers
  )

  print(response.text)
  ```
</RequestExample>
